FL-RUN-BENCH(1)

NAME
fl-record - runs a funkload test

SYNOPSIS
fl-record [ options ] file class.method

DESCRIPTION
A funkload test can be turned into a load test, just by invoking the bench runner fl-run-bench.

OPTIONS

--version
    show program's version number and exit

--help, -h
    show this help message and exit

--url=MAIN_URL, -uMAIN_URL
    Base URL to bench.

--cycles=BENCH_CYCLES, -cBENCH_CYCLES
    Cycles to bench, this is a list of number of virtual concurrent users, to run a bench with 3 cycles with 5, 10 and 20 users use: -c 2:10:20

--duration=BENCH_DURATION, -DBENCH_DURATION
    Duration of a cycle in seconds.

--sleep-time-min=BENCH_SLEEP_TIME_MIN, -mBENCH_SLEEP_TIME_MIN
    Minimum sleep time between request.

--sleep-time-max=BENCH_SLEEP_TIME_MAX, -MBENCH_SLEEP_TIME_MAX
    Maximum sleep time between request.

--startup-delay=BENCH_STARTUP_DELAY, -sBENCH_STARTUP_DELAY
    Startup delay between thread.

--no-color
    Monochrome output.

--accept-invalid-links
    Do not fail if css/image links are not reachable.

--simple-fetch
    Don't load additional links like css or images when fetching an html page.

--label=LABEL, -l LABEL
    Add a label to this bench run for easier identification (it will be appended to the directory name for reports generated from it).

SEE ALSO
fl-build-report(1), fl-credential-ctl(1), fl-install-demo(1), fl-monitor-ctl(1), fl-record(1), fl-run-test(1).

AUTHOR
Funkload was written by Benoit Delbosc.

This manual page was written by Jose Parrella <bureado@debian.org>, for the Debian project (but may be used by others).